Skip to content

抖音星图 API - 项目报告详情 (V1)

prod-global
GET
/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1

获取商品报告的详细数据。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
itemIdquerystring项目的唯一 ID。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE"
text
我想使用 Just One API 提供的“项目报告详情 (V1)”接口。
接口地址: https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/douyin-xingtu-apis/item-report-details-v1-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- itemId (query): 项目的唯一 ID。 (必填)

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_detail/v1?token=YOUR_API_KEY&itemId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "author_info": {
      "author_id": "7392575310895513619",
      "avatar_uri": "https://p11.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_f2425985a5f821d728cef86f3044dbe8.jpeg?from=3782654143",
      "city": "深圳",
      "content_tags": {
        "汽车": [
          "汽车测评"
        ]
      },
      "core_user_id": "111212123046",
      "follower": "1588458",
      "gender": 1,
      "industry_tags": [],
      "ink_cnt": "7423032",
      "is_star": 1,
      "link_cnt": "18224315",
      "name": "好热的黄彬"
    },
    "base_resp": {
      "status_code": 0,
      "status_message": ""
    },
    "video_info": {
      "collect_cnt": "10595",
      "comment_cnt": "2686",
      "content_theme_labels": [
        "SUV测评",
        "智能汽车"
      ],
      "create_time": "1761648197",
      "duration": 165.9,
      "finish_rate": 0.0189992082,
      "head_image_uri": "tos-cn-p-0015c000-ce/oEeAeQTEGD7XCIJETCFSAikDgZ8hYJT1fRABG4",
      "interact_cnt": "117718",
      "interact_rate": 0.0026,
      "item_id": "7566200471448779514",
      "like_cnt": "107089",
      "music_info": {
        "album": "",
        "author": "好热的黄彬",
        "cover_uri": "100x100/aweme-avatar/tos-cn-avt-0015_f2425985a5f821d728cef86f3044dbe8",
        "cover_url": [
          "https://p26.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_f2425985a5f821d728cef86f3044dbe8.jpeg?from=327834062",
          "https://p11.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_f2425985a5f821d728cef86f3044dbe8.jpeg?from=327834062",
          "https://p3.douyinpic.com/aweme/100x100/aweme-avatar/tos-cn-avt-0015_f2425985a5f821d728cef86f3044dbe8.jpeg?from=327834062"
        ],
        "create_time": "1761643363",
        "duration": "165",
        "music_id": "7566200535087450931",
        "play_url": "https://lf26-music-east.douyinstatic.com/obj/ies-music-hj/7566200616637188901.mp3",
        "source_platform": 0,
        "title": "@好热的黄彬创作的原声",
        "used_count": "0"
      },
      "share_cnt": "7943",
      "title": "少爷,今天陪妹妹去看车啦!#理想L6 #好热的黄彬",
      "url": "https://www.iesdouyin.com/share/video/7566200471448779514/?region=CN&mid=7566200535087450931&u_code=19f5hj09f&did=MS4wLjABAAAANwkJuWIRFOzg5uCpDRpMj4OX-QryoDgn-yYlXQnRwQQ&iid=MS4wLjABAAAANwkJuWIRFOzg5uCpDRpMj4OX-QryoDgn-yYlXQnRwQQ&with_sec_did=1&video_share_track_ver=&titleType=title&share_sign=a2Nc5LsbOwZNxJmiP8cg2OheZI73tlmusx11LWf9.z4-&share_version=260800&ts=1773063688&from_aid=1128&from_ssr=1&share_track_info=%7B%22link_description_type%22%3A%22%22%7D",
      "video_id": "v1e00fgi0000d408kvnog65s40de6ucg",
      "vv_cnt": "45275627"
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。